| QxOrm 1.1.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Private Member Functions | Static Private Attributes
qx::trait::is_qt_multi_map< T > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_qt_multi_map<T>::value : return true if T is a QMultiMap<> container of Qt library, otherwise return false More...

`#include <is_qt_multi_map.h>`

List of all members.

## Public Types
enum | { value = (sizeof(qx::trait::is_qt_multi_map<T>::isContainer(t)) == sizeof(char)) }
typedef boost::mpl::if_c < qx::trait::is_qt_multi_map < T >::value, boost::mpl::true_, boost::mpl::false_ >::type | type
## Static Private Member Functions
template<typename V , typename W >
static char | isContainer (const QMultiMap< V, W > &)
static int | isContainer (...)
## Static Private Attributes
static T | t

## Detailed Description

### template<typename T>
class qx::trait::is_qt_multi_map< T >

qx::trait::is_qt_multi_map<T>::value : return true if T is a QMultiMap<> container of Qt library, otherwise return false

Definition at line 53 of file is_qt_multi_map.h.

## Member Typedef Documentation

template<typename T >

typedef boost::mpl::if_c<qx::trait::is_qt_multi_map<T>::value, boost::mpl::true_, boost::mpl::false_>::type qx::trait::is_qt_multi_map< T >::type

Definition at line 68 of file is_qt_multi_map.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator:

  value |

Definition at line 64 of file is_qt_multi_map.h.

## Member Function Documentation

template<typename T >
template<typename V , typename W >

static char qx::trait::is_qt_multi_map< T >::isContainer | ( | const QMultiMap< V, W > & |  | ) | `[static, private]`

template<typename T >

static int qx::trait::is_qt_multi_map< T >::isContainer | ( |  | ... | ) | `[static, private]`

## Member Data Documentation

template<typename T >

T qx::trait::is_qt_multi_map< T >::t`[static, private]`

Definition at line 60 of file is_qt_multi_map.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_qt_multi_map.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines